<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddFallbackProfileReq StructType
 * @subpackage Structs
 */
class AddFallbackProfileReq extends APIRequest
{
    /**
     * The fallbackProfile
     * @var XFallbackProfile
     */
    public $fallbackProfile;
    /**
     * Constructor method for AddFallbackProfileReq
     * @uses AddFallbackProfileReq::setFallbackProfile()
     * @param XFallbackProfile $fallbackProfile
     */
    public function __construct(XFallbackProfile $fallbackProfile = null)
    {
        $this
            ->setFallbackProfile($fallbackProfile);
    }
    /**
     * Get fallbackProfile value
     * @return XFallbackProfile|null
     */
    public function getFallbackProfile()
    {
        return $this->fallbackProfile;
    }
    /**
     * Set fallbackProfile value
     * @param XFallbackProfile $fallbackProfile
     * @return AddFallbackProfileReq
     */
    public function setFallbackProfile(XFallbackProfile $fallbackProfile = null)
    {
        $this->fallbackProfile = $fallbackProfile;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddFallbackProfileReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
